%define major	3
%define libname		%mklibname xfixes %{major}
%define develname	%mklibname xfixes -d
%define staticname	%mklibname xfixes -d -s

Name: libxfixes
Summary:  X Fixes  Library
Version: 5.0.3
Release: %mkrel 1
Group: Development/X11
License: MIT
URL: http://xorg.freedesktop.org
Source0: http://xorg.freedesktop.org/releases/individual/lib/libXfixes-%{version}.tar.xz
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: libx11-devel
BuildRequires: x11-proto-devel
BuildRequires: x11-util-macros
Obsoletes: 	%{name} < %version

%description
%{name} is a simple library designed to interface the X Fixes Extension.

#-----------------------------------------------------------

%package -n %{libname}
Summary:  X Fixes  Library
Group: Development/X11
Conflicts: libxorg-x11 < 7.0
Provides: %{name} = %{version}

%description -n %{libname}
%{name} is a simple library designed to interface the X Fixes Extension.

#-----------------------------------------------------------

%package -n %{develname}
Summary: Development files for %{name}
Group: Development/X11
Requires: %{libname} = %{version}-%{release}
Requires: x11-proto-devel
Provides: libxfixes-devel = %{version}-%{release}
Provides: libxfixes3-devel = %{version}-%{release}
Obsoletes: %{mklibname xfixes 3}-devel

Conflicts: libxorg-x11-devel < 7.0

%description -n %{develname}
Development files for %{name}

%pre -n %{develname}
if [ -h %{_includedir}/X11 ]; then
	rm -f %{_includedir}/X11
fi

%files -n %{develname}
%defattr(-,root,root)
%{_libdir}/libXfixes.so
%{_libdir}/pkgconfig/xfixes.pc
%{_includedir}/X11/extensions/Xfixes.h
%{_mandir}/man3/Xfixes.*

#-----------------------------------------------------------

%package -n %{staticname}
Summary: Static development files for %{name}
Group: Development/X11
Requires: %{develname} = %{version}-%{release}
Provides: libxfixes-static-devel = %{version}-%{release}
Provides: libxfixes3-static-devel = %{version}-%{release}
Obsoletes: %{mklibname xfixes 3}-static-devel

Conflicts: libxorg-x11-static-devel < 7.0

%description -n %{staticname}
Static development files for %{name}

%files -n %{staticname}
%defattr(-,root,root)
%{_libdir}/libXfixes.a

#-----------------------------------------------------------

%prep
%setup -q -n libXfixes-%{version}

%build
%configure2_5x	--x-includes=%{_includedir}\
		--x-libraries=%{_libdir}

%make

%install
rm -rf %{buildroot}
%makeinstall_std

rm -f %{buildroot}%{_libdir}/*.la

%clean
rm -rf %{buildroot}


%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/libXfixes.so.%{major}*


%changelog
* Mon Dec 05 2016 adrianomorselli <adrianomorselli> 5.0.3-1uplos2016
- rebuild

* Wed Oct 05 2016 bb <bb> 5.0.3-1pclos2016
- update

* Wed Jul 20 2016 bb <bb> 5.0.2-2pclos2016
- rebuild for new xorg

* Fri May 27 2016 bb <bb> 5.0.2-1pclos2016
- update

* Thu Apr 07 2016 bb <bb> 5.0.1-2pclos2016
- rebuild for updates


